Search public identities
POST/public-identities/v2/search
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
Search public identities using a composite query and return matching records.
The root query set combines criteria with AND and must include attributes.identityState.exact = ACTIVE. The field keys must come from GET /public-identities/v2/visible-attributes and may use the prefix "attributes." and/or the suffix ".exact". See the request examples for the required exact payload structure.
Any authenticated user with the default scope can call this endpoint.
Request
Responses
- 200
- 400
- 401
- 403
- 404
- 429
- 500
Request succeeded. Body is an array of PublicIdentityV2. When count=true, X-Total-Count may be set with the total matching count (ignoring limit/offset).
Response Headers
Total number of matching results when count=true.
30Client Error - Returned if the request body is invalid.
Unauthorized - Returned if there is no authorization header, or if the JWT token is expired.
Forbidden - Returned if the user you are running as, doesn't have access to this end-point.
Not Found - returned if the request URL refers to a resource or object that does not exist
Too Many Requests - Returned in response to too many requests in a given period of time - rate limited. The Retry-After header in the response includes how long to wait before trying again.
Internal Server Error - Returned if there is an unexpected error.